System.Data.SQLite
View Ticket
Not logged in
Ticket UUID: b8a2d457806bf66b1820b8987c4a19c1cea13cfa
Title: .Net Standard Support / .Net Core
Status: Closed Type: Feature_Request
Severity: Important Priority: Medium
Subsystem: Build_AndOr_Projects Resolution: Duplicate
Last Modified: 2018-04-23 01:57:01
Version Found In:
User Comments:
anonymous added on 2018-04-22 15:21:47:
When using 'System.Data.SQLite.Core' in a project, it works on windows, but when doing 'dotnet restore' on an osx system with .Net Core installed the following warning will be shown:


 warning NU1701: Package 'System.Data.SQLite.Core 1.0.108' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETStandard,Version=v2.0'. This package may not be fully compatible with your project. 

I know it might just work as long as there are no calls to WPF etc, but im not 100% sure on this.

Would it be possible to only depend on .Net Standard 2.0 ?

anonymous added on 2018-04-22 15:27:02:
Sorry, I just saw this exists already here: https://system.data.sqlite.org/index.html/tktview/5c89cecd1b4ccb384327

I really look forward to .Net Standard support,
Thanks alot!

Please close / delete

mistachkin added on 2018-04-23 01:57:01:
Duplicate of [5c89cecd1b4ccb384327].